GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::noding::NodingValidator Class Reference

`#include <NodingValidator.h>`

## Public Member Functions
| NodingValidator (const std::vector< SegmentString * > &newSegStrings)
void | checkValid ()

## Detailed Description

Validates that a collection of SegmentStrings is correctly noded. Throws a TopologyException if a noding error is found.

Last port: noding/NodingValidator.java rev. 1.6 (JTS-1.7)

The documentation for this class was generated from the following file:

- NodingValidator.h